jc_modal_route_details:
  namespace: "Organisms/TM - Journey Check/JC Modal"
  use: "@organisms/tm-jc/jc-modal/jc-modal-route/journey-check-route-details.html.twig"
  label: Route details
  description: Route details

  fields:

    element:
      type: object
      label: Data - Route
      preview:
        id: '509'
        name: West Midlands via Northampton
        machineName: west-mids
        status: minor
        statusText: Minor service changes
        hasIncidents: true
        showDetails: true
        moreInfoText: |
          <h5 style="font-size:14px;">Everyone's journey is different:</h5>
          <p style="font-size:13px;">To check how your train is running, see <a href="/travel-information/live-departure-arrival-boards">Live Departure &amp; Arrivals</a> for your station. To find the best train times for your journey, use the <a href="http://ojp.nationalrail.co.uk/">National Rail Enquiries real-time journey planner</a>.</p>
        descriptions:
          - type: route_description
            text: |
              <p font-size:="" margin-bottom:="" margin-top:="" style=" font-size: 18px; margin-bottom: 18px; margin-top: 8px;"><strong>Short notice changes to our timetable</strong></p>
              <p font-size:="" margin-bottom:="" margin-top:="" style=" font-size: 12px; margin-bottom: 18px; margin-top: 8px;">We're experiencing a shortage of available train crew across our network, which means that some of our trains may be cancelled or changed at short notice - <a href="https://www.londonnorthwesternrailway.co.uk/late-notice-changes">find out more about what has caused this.</a></p>
              <p style="    font-size: 15px;
                  margin-bottom: 10px;
                  margin-top: 8px;
              "><strong>What do I need to know?</strong></p>
              <p style="    font-size: 12px;
                  margin-bottom: 18px;
                  margin-top: 8px;
              ">If there is a chance that your train could be cancelled or changed, we will:</p>

              <p style="font-size: 12px; margin-bottom: 8px; margin-top: 8px; ">  •  <strong>show the train as cancelled or change the stops</strong>, as soon as we know - in our <a href="/node/330556">app</a>, <a href="https://www.buytickets.londonnorthwesternrailway.co.uk/">ticket buying site</a>, <a href="/node/316480">Live Departure &amp; Arrival Boards</a> and the <a class="alt-link-processor-fa alt-link-processor-fa-external-link-square" href="http://ojp.nationalrail.co.uk" target="_blank" title="Opens in a new window">National Rail Journey Planner</a>.  We hope to be able to do this before 21:00 the day before.<br />
                •  <strong>keep this information up to date</strong>, and if we are later able to run the service, we'll change it back to show the train is running again, as planned.</p>

              <p style="font-size: 15px; margin-bottom: 10px; margin-top: 8px; "><strong>What should I do?</strong></p>

              <p style="    font-size: 12px;
                  margin-bottom: 18px;
                  margin-top: 8px;
              ">To help keep you up to date and consider your options, we’re asking you to use our <a href="/node/330556">app</a>, <a href="http://ojp.nationalrail.co.uk">Journey Planner</a> or <a href="/node/316480">Live Departure &amp; Arrival Boards</a>:</p>

              <p style="font-size: 12px; margin-bottom: 8px; margin-top: 8px; ">  • <strong>plan ahead</strong>, make a note of alternative train times around your chosen train, just in case something goes wrong.   <br />
                • <strong>the day before</strong>, check your train - we'll give you as much notice of any changes as we can.<br />
                • <strong>before you set off </strong>for your train, check again - we’re working hard to run as many trains as we can - we may be able to run the service after all, or we may have had to make additional changes. </p>
            backgroundColour: C9EEDE
            textColor: ''
            isHeading: false
          - type: route_description
            text: |
              <p font-size:="" margin-bottom:="" margin-top:="" style=" font-size: 18px; margin-bottom: 18px; margin-top: 8px;"><strong>Short notice changes to our timetable</strong></p>
            backgroundColour: f2f2f2
            textColor: ''
            isHeading: false
        incidentLists:
          - type: line
            title: 'There is an issue affecting services on this route:'
            items:
              - id: 1321192384
                title: Kidsgrove
                text: '<p>There is no lighting on platform 3 at Kidsgrove station.<br/></p>'
                extraInfo:
                  - type: additional_info
                    title: 'Your options...'
                    text: '<p><br/>Please take extra care when at station.</p>'
                  - type: additional_info
                    title: 'Your options...'
                    text: '<p><br/>Please take extra care when at station.</p>'
                updateText: 'Last updated at 21:00 18/10'
                hasCallingPoints: false
          - type: service
            title: 'Changes to on train facilities:'
            items:
              - id: 13211927561Y13L24821221021
                title: 11:15 London Euston to Birmingham New Street due 13:23
          - type: station
            title: 'Changes to station facilities:'
            items:
              - id: '1321192713'
                title: Apsley
              - id: '1321191692'
                title: Bletchley

jc_modal_route_description:
  namespace: "Organisms/TM - Journey Check/JC Modal"
  use: "@organisms/tm-jc/jc-modal/jc-modal-route/journey-check-description.html.twig"
  label: Route description
  description: Route description

  fields:

    description:
      type: object
      label: Data - Description
      preview:
        type: route_description
        text: |
          <p font-size:="" margin-bottom:="" margin-top:="" style=" font-size: 18px; margin-bottom: 18px; margin-top: 8px;"><strong>Short notice changes to our timetable</strong></p>
          <p font-size:="" margin-bottom:="" margin-top:="" style=" font-size: 12px; margin-bottom: 18px; margin-top: 8px;">We're experiencing a shortage of available train crew across our network, which means that some of our trains may be cancelled or changed at short notice - <a href="https://www.londonnorthwesternrailway.co.uk/late-notice-changes">find out more about what has caused this.</a></p>
          <p style="    font-size: 15px;
              margin-bottom: 10px;
              margin-top: 8px;
          "><strong>What do I need to know?</strong></p>
          <p style="    font-size: 12px;
              margin-bottom: 18px;
              margin-top: 8px;
          ">If there is a chance that your train could be cancelled or changed, we will:</p>

          <p style="font-size: 12px; margin-bottom: 8px; margin-top: 8px; ">  •  <strong>show the train as cancelled or change the stops</strong>, as soon as we know - in our <a href="/node/330556">app</a>, <a href="https://www.buytickets.londonnorthwesternrailway.co.uk/">ticket buying site</a>, <a href="/node/316480">Live Departure &amp; Arrival Boards</a> and the <a class="alt-link-processor-fa alt-link-processor-fa-external-link-square" href="http://ojp.nationalrail.co.uk" target="_blank" title="Opens in a new window">National Rail Journey Planner</a>.  We hope to be able to do this before 21:00 the day before.<br />
            •  <strong>keep this information up to date</strong>, and if we are later able to run the service, we'll change it back to show the train is running again, as planned.</p>

          <p style="font-size: 15px; margin-bottom: 10px; margin-top: 8px; "><strong>What should I do?</strong></p>

          <p style="    font-size: 12px;
              margin-bottom: 18px;
              margin-top: 8px;
          ">To help keep you up to date and consider your options, we’re asking you to use our <a href="/node/330556">app</a>, <a href="http://ojp.nationalrail.co.uk">Journey Planner</a> or <a href="/node/316480">Live Departure &amp; Arrival Boards</a>:</p>

          <p style="font-size: 12px; margin-bottom: 8px; margin-top: 8px; ">  • <strong>plan ahead</strong>, make a note of alternative train times around your chosen train, just in case something goes wrong.   <br />
            • <strong>the day before</strong>, check your train - we'll give you as much notice of any changes as we can.<br />
            • <strong>before you set off </strong>for your train, check again - we’re working hard to run as many trains as we can - we may be able to run the service after all, or we may have had to make additional changes. </p>
        backgroundColour: C9EEDE
        textColor: ''
        isHeading: false
